Providers & Locations
30 endpoints
Providers
20 endpoints
/api/v1/{org_id}/providersList providers
List providers with optional filters. Staff callers receive the full ``ProviderListOut`` shape.
Parameters
Path Parameters
org_idstringrequiredQuery Parameters
pageintegerDefault: 1
page_sizeintegerDefault: 50
statusstringsearchstringprovider_type_uuidstringis_hiddenbooleanResponses
itemsobject[]requiredpageintegerrequiredpage_sizeintegerrequiredtotalintegerrequireddetailobject[]curl -X GET "https://api.example.com/api/v1/{org_id}/providers" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X GET "https://api.example.com/api/v1/{org_id}/providers" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"/api/v1/{org_id}/providers/{provider_uuid}Get Provider
Retrieve a single provider by UUID. Staff callers receive the full ``ProviderOut`` shape.
Parameters
Path Parameters
provider_uuidstringrequiredorg_idstringrequiredResponses
abbreviationstringrequiredbilling_override_providerobjectLightweight reference to a related entity — exposes UUID and optional name.
birthdatestring (date)created_atstring (date-time)requiredcustom_idstringdate_termstring (date)deleted_atstring (date-time)erx_enabledstringfirst_namestringrequiredhourly_production_goalstringidstring (uuid)requiredis_hiddenbooleanis_hidden_reportbooleanis_instructorbooleanis_not_personbooleanis_secondarybooleanitem_orderintegerlast_namestringrequiredmedicaid_idstringmiddle_namestringnational_provider_idstringoutline_colorintegerpreferred_namestringprovider_colorintegerprovider_typeobjectLightweight reference to a related entity — exposes UUID and optional name.
provider_type_namestringschedule_notestringsig_on_filebooleanspecialtyobjectLightweight reference to a related entity — exposes UUID and optional name.
specialty_namestringssn_tinstringstatusstringsuffixstringtaxonomy_code_overridestringupdated_atstring (date-time)requiredusing_tinbooleanversionintegerrequireddetailobject[]curl -X GET "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X GET "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"/api/v1/{org_id}/providers/{provider_uuid}/identitiesList Provider Identities
Parameters
Path Parameters
provider_uuidstringrequiredorg_idstringrequiredQuery Parameters
pageintegerDefault: 1
page_sizeintegerDefault: 50
Responses
itemsobject[]requiredpageintegerrequiredpage_sizeintegerrequiredtotalintegerrequireddetailobject[]curl -X GET "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/identities" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X GET "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/identities" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"/api/v1/{org_id}/providers/{provider_uuid}/location-linksList Location Links
Parameters
Path Parameters
provider_uuidstringrequiredorg_idstringrequiredResponses
detailobject[]curl -X GET "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/location-links" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X GET "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/location-links" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"/api/v1/{org_id}/providers/{provider_uuid}/location-overridesList Provider Location Overrides
Parameters
Path Parameters
provider_uuidstringrequiredorg_idstringrequiredQuery Parameters
pageintegerDefault: 1
page_sizeintegerDefault: 50
Responses
itemsobject[]requiredpageintegerrequiredpage_sizeintegerrequiredtotalintegerrequireddetailobject[]curl -X GET "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/location-overrides" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X GET "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/location-overrides" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"/api/v1/{org_id}/providers/{provider_uuid}/prescription-accessList Provider Prescription Access
Parameters
Path Parameters
provider_uuidstringrequiredorg_idstringrequiredQuery Parameters
pageintegerDefault: 1
page_sizeintegerDefault: 50
Responses
itemsobject[]requiredpageintegerrequiredpage_sizeintegerrequiredtotalintegerrequireddetailobject[]curl -X GET "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/prescription-access" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X GET "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/prescription-access" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"/api/v1/{org_id}/providers/summarySummarize providers
Return provider aggregate counts without exposing credential-bearing provider rows.
Parameters
Path Parameters
org_idstringrequiredQuery Parameters
status_setstring[]Provider statuses to include. Repeat the query param for multiple values. Defaults to active.
include_hiddenbooleanInclude hidden providers in the aggregate count.
Default: false
Responses
include_hiddenbooleanstatus_setstring[]requiredtotalintegerrequireddetailobject[]curl -X GET "https://api.example.com/api/v1/{org_id}/providers/summary" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X GET "https://api.example.com/api/v1/{org_id}/providers/summary" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"/api/v1/{org_id}/providersCreate Provider
Parameters
Path Parameters
org_idstringrequiredRequest Body
abbreviationstringrequiredbilling_override_provider_uuidstring (uuid)birthdatestring (date)custom_idstringdate_termstring (date)erx_enabledstringfirst_namestringrequiredhourly_production_goalnumberis_hiddenbooleanis_hidden_reportbooleanis_instructorbooleanis_not_personbooleanis_secondarybooleanitem_orderintegerlast_namestringrequiredmedicaid_idstringmiddle_namestringnational_provider_idstringoutline_colorintegerpreferred_namestringprovider_colorintegerprovider_type_uuidstring (uuid)schedule_notestringsig_on_filebooleanspecialty_uuidstring (uuid)ssn_tinstringstatusstringsuffixstringtaxonomy_code_overridestringusing_tinbooleanResponses
abbreviationstringrequiredbilling_override_providerobjectLightweight reference to a related entity — exposes UUID and optional name.
birthdatestring (date)created_atstring (date-time)requiredcustom_idstringdate_termstring (date)deleted_atstring (date-time)erx_enabledstringfirst_namestringrequiredhourly_production_goalstringidstring (uuid)requiredis_hiddenbooleanis_hidden_reportbooleanis_instructorbooleanis_not_personbooleanis_secondarybooleanitem_orderintegerlast_namestringrequiredmedicaid_idstringmiddle_namestringnational_provider_idstringoutline_colorintegerpreferred_namestringprovider_colorintegerprovider_typeobjectLightweight reference to a related entity — exposes UUID and optional name.
provider_type_namestringschedule_notestringsig_on_filebooleanspecialtyobjectLightweight reference to a related entity — exposes UUID and optional name.
specialty_namestringssn_tinstringstatusstringsuffixstringtaxonomy_code_overridestringupdated_atstring (date-time)requiredusing_tinbooleanversionintegerrequireddetailobject[]curl -X POST "https://api.example.com/api/v1/{org_id}/providers" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"abbreviation": "string",
"billing_override_provider_uuid": "string",
"birthdate": "string",
"custom_id": "string",
"date_term": "string",
"first_name": "string",
"last_name": "string"
}'curl -X POST "https://api.example.com/api/v1/{org_id}/providers" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"abbreviation": "string",
"billing_override_provider_uuid": "string",
"birthdate": "string",
"custom_id": "string",
"date_term": "string",
"first_name": "string",
"last_name": "string"
}'/api/v1/{org_id}/providers/{provider_uuid}/archiveArchive Provider
Parameters
Path Parameters
provider_uuidstringrequiredorg_idstringrequiredResponses
abbreviationstringrequiredbilling_override_providerobjectLightweight reference to a related entity — exposes UUID and optional name.
birthdatestring (date)created_atstring (date-time)requiredcustom_idstringdate_termstring (date)deleted_atstring (date-time)erx_enabledstringfirst_namestringrequiredhourly_production_goalstringidstring (uuid)requiredis_hiddenbooleanis_hidden_reportbooleanis_instructorbooleanis_not_personbooleanis_secondarybooleanitem_orderintegerlast_namestringrequiredmedicaid_idstringmiddle_namestringnational_provider_idstringoutline_colorintegerpreferred_namestringprovider_colorintegerprovider_typeobjectLightweight reference to a related entity — exposes UUID and optional name.
provider_type_namestringschedule_notestringsig_on_filebooleanspecialtyobjectLightweight reference to a related entity — exposes UUID and optional name.
specialty_namestringssn_tinstringstatusstringsuffixstringtaxonomy_code_overridestringupdated_atstring (date-time)requiredusing_tinbooleanversionintegerrequireddetailobject[]curl -X POST "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/archive" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X POST "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/archive" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"/api/v1/{org_id}/providers/{provider_uuid}/identitiesCreate Provider Identity
Parameters
Path Parameters
provider_uuidstringrequiredorg_idstringrequiredRequest Body
id_numberstringrequiredpayor_idstringrequiredsupplemental_id_typestringrequiredResponses
created_atstring (date-time)requiredidstring (uuid)requiredid_numberstringrequiredpayor_idstringrequiredsupplemental_id_typestringrequiredupdated_atstring (date-time)requiredversionintegerrequireddetailobject[]curl -X POST "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/identities" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"id_number": "string",
"payor_id": "string",
"supplemental_id_type": "string"
}'curl -X POST "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/identities" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"id_number": "string",
"payor_id": "string",
"supplemental_id_type": "string"
}'/api/v1/{org_id}/providers/{provider_uuid}/location-overridesCreate Provider Location Override
Parameters
Path Parameters
provider_uuidstringrequiredorg_idstringrequiredRequest Body
dea_numberstringlocation_uuidstring (uuid)requiredstate_licensestringstate_rx_idstringstate_where_licensedstringResponses
created_atstring (date-time)requireddea_numberstringidstring (uuid)requiredlocationobjectLightweight reference to a related entity — exposes UUID and optional name.
location_namestringstate_licensestringstate_rx_idstringstate_where_licensedstringupdated_atstring (date-time)requiredversionintegerrequireddetailobject[]curl -X POST "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/location-overrides" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"dea_number": "string",
"location_uuid": "00000000-0000-0000-0000-000000000000",
"state_license": "string",
"state_rx_id": "string",
"state_where_licensed": "string"
}'curl -X POST "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/location-overrides" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"dea_number": "string",
"location_uuid": "00000000-0000-0000-0000-000000000000",
"state_license": "string",
"state_rx_id": "string",
"state_where_licensed": "string"
}'/api/v1/{org_id}/providers/{provider_uuid}/prescription-accessCreate Provider Prescription Access
Parameters
Path Parameters
provider_uuidstringrequiredorg_idstringrequiredRequest Body
erx_statusstringerx_typestringis_epcsbooleanis_identity_proofedbooleannational_provider_idstringrequireduser_uuidstring (uuid)Responses
created_atstring (date-time)requirederx_statusstringerx_typestringidstring (uuid)requiredis_epcsbooleanis_identity_proofedbooleannational_provider_idstringrequiredupdated_atstring (date-time)requireduser_uuidstring (uuid)versionintegerrequireddetailobject[]curl -X POST "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/prescription-access" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"erx_status": "string",
"erx_type": "string",
"is_epcs": null,
"is_identity_proofed": null,
"national_provider_id": "string"
}'curl -X POST "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/prescription-access" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"erx_status": "string",
"erx_type": "string",
"is_epcs": null,
"is_identity_proofed": null,
"national_provider_id": "string"
}'/api/v1/{org_id}/providers/{provider_uuid}/location-linksReplace Location Links
Parameters
Path Parameters
provider_uuidstringrequiredorg_idstringrequiredRequest Body
location_uuidsstring (uuid)[]requiredResponses
detailobject[]curl -X PUT "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/location-links" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"location_uuids": []
}'curl -X PUT "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/location-links" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"location_uuids": []
}'/api/v1/{org_id}/providers/{provider_uuid}Update Provider
Parameters
Path Parameters
provider_uuidstringrequiredorg_idstringrequiredRequest Body
abbreviationstringbase_versionintegerrequiredbilling_override_provider_uuidstring (uuid)birthdatestring (date)custom_idstringdate_termstring (date)erx_enabledstringfirst_namestringhourly_production_goalnumberis_hiddenbooleanis_hidden_reportbooleanis_instructorbooleanis_not_personbooleanis_secondarybooleanitem_orderintegerlast_namestringmedicaid_idstringmiddle_namestringnational_provider_idstringoutline_colorintegerpreferred_namestringprovider_colorintegerprovider_type_uuidstring (uuid)schedule_notestringsig_on_filebooleanspecialty_uuidstring (uuid)ssn_tinstringstatusstringsuffixstringtaxonomy_code_overridestringusing_tinbooleanResponses
abbreviationstringrequiredbilling_override_providerobjectLightweight reference to a related entity — exposes UUID and optional name.
birthdatestring (date)created_atstring (date-time)requiredcustom_idstringdate_termstring (date)deleted_atstring (date-time)erx_enabledstringfirst_namestringrequiredhourly_production_goalstringidstring (uuid)requiredis_hiddenbooleanis_hidden_reportbooleanis_instructorbooleanis_not_personbooleanis_secondarybooleanitem_orderintegerlast_namestringrequiredmedicaid_idstringmiddle_namestringnational_provider_idstringoutline_colorintegerpreferred_namestringprovider_colorintegerprovider_typeobjectLightweight reference to a related entity — exposes UUID and optional name.
provider_type_namestringschedule_notestringsig_on_filebooleanspecialtyobjectLightweight reference to a related entity — exposes UUID and optional name.
specialty_namestringssn_tinstringstatusstringsuffixstringtaxonomy_code_overridestringupdated_atstring (date-time)requiredusing_tinbooleanversionintegerrequireddetailobject[]curl -X PATCH "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"abbreviation": "string",
"base_version": 1,
"billing_override_provider_uuid": "string",
"birthdate": "string",
"custom_id": "string"
}'curl -X PATCH "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"abbreviation": "string",
"base_version": 1,
"billing_override_provider_uuid": "string",
"birthdate": "string",
"custom_id": "string"
}'/api/v1/{org_id}/providers/{provider_uuid}/identities/{identity_uuid}Update Provider Identity
Parameters
Path Parameters
provider_uuidstringrequiredidentity_uuidstringrequiredorg_idstringrequiredRequest Body
base_versionintegerrequiredid_numberstringpayor_idstringsupplemental_id_typestringResponses
created_atstring (date-time)requiredidstring (uuid)requiredid_numberstringrequiredpayor_idstringrequiredsupplemental_id_typestringrequiredupdated_atstring (date-time)requiredversionintegerrequireddetailobject[]curl -X PATCH "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/identities/{identity_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"base_version": 1,
"id_number": "string",
"payor_id": "string",
"supplemental_id_type": "string"
}'curl -X PATCH "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/identities/{identity_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"base_version": 1,
"id_number": "string",
"payor_id": "string",
"supplemental_id_type": "string"
}'/api/v1/{org_id}/providers/{provider_uuid}/location-overrides/{override_uuid}Update Provider Location Override
Parameters
Path Parameters
provider_uuidstringrequiredoverride_uuidstringrequiredorg_idstringrequiredRequest Body
base_versionintegerrequireddea_numberstringlocation_uuidstring (uuid)state_licensestringstate_rx_idstringstate_where_licensedstringResponses
created_atstring (date-time)requireddea_numberstringidstring (uuid)requiredlocationobjectLightweight reference to a related entity — exposes UUID and optional name.
location_namestringstate_licensestringstate_rx_idstringstate_where_licensedstringupdated_atstring (date-time)requiredversionintegerrequireddetailobject[]curl -X PATCH "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/location-overrides/{override_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"base_version": 1,
"dea_number": "string",
"location_uuid": "string",
"state_license": "string",
"state_rx_id": "string"
}'curl -X PATCH "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/location-overrides/{override_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"base_version": 1,
"dea_number": "string",
"location_uuid": "string",
"state_license": "string",
"state_rx_id": "string"
}'/api/v1/{org_id}/providers/{provider_uuid}/prescription-access/{access_uuid}Update Provider Prescription Access
Parameters
Path Parameters
provider_uuidstringrequiredaccess_uuidstringrequiredorg_idstringrequiredRequest Body
base_versionintegerrequirederx_statusstringerx_typestringis_epcsbooleanis_identity_proofedbooleannational_provider_idstringuser_uuidstring (uuid)Responses
created_atstring (date-time)requirederx_statusstringerx_typestringidstring (uuid)requiredis_epcsbooleanis_identity_proofedbooleannational_provider_idstringrequiredupdated_atstring (date-time)requireduser_uuidstring (uuid)versionintegerrequireddetailobject[]curl -X PATCH "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/prescription-access/{access_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"base_version": 1,
"erx_status": "string",
"erx_type": "string",
"is_epcs": null,
"is_identity_proofed": null
}'curl -X PATCH "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/prescription-access/{access_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"base_version": 1,
"erx_status": "string",
"erx_type": "string",
"is_epcs": null,
"is_identity_proofed": null
}'/api/v1/{org_id}/providers/{provider_uuid}/identities/{identity_uuid}Delete Provider Identity
Parameters
Path Parameters
provider_uuidstringrequiredidentity_uuidstringrequiredorg_idstringrequiredResponses
detailobject[]curl -X DELETE "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/identities/{identity_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X DELETE "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/identities/{identity_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"/api/v1/{org_id}/providers/{provider_uuid}/location-overrides/{override_uuid}Delete Provider Location Override
Parameters
Path Parameters
provider_uuidstringrequiredoverride_uuidstringrequiredorg_idstringrequiredResponses
detailobject[]curl -X DELETE "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/location-overrides/{override_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X DELETE "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/location-overrides/{override_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"/api/v1/{org_id}/providers/{provider_uuid}/prescription-access/{access_uuid}Delete Provider Prescription Access
Parameters
Path Parameters
provider_uuidstringrequiredaccess_uuidstringrequiredorg_idstringrequiredResponses
detailobject[]curl -X DELETE "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/prescription-access/{access_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X DELETE "https://api.example.com/api/v1/{org_id}/providers/{provider_uuid}/prescription-access/{access_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"Locations
5 endpoints
/api/v1/{org_id}/locationsList locations
List practice locations with optional filters. Staff callers receive the full ``LocationListOut`` shape.
Parameters
Path Parameters
org_idstringrequiredQuery Parameters
pageintegerPage number to return.
Default: 1
page_sizeintegerNumber of locations per page.
Default: 50
statusstringFilter by location status.
searchstringSearch name, short name, or city.
entity_idstringFilter to locations assigned to this entity.
Responses
itemsobject[]requiredpageintegerrequiredpage_sizeintegerrequiredtotalintegerrequireddetailobject[]curl -X GET "https://api.example.com/api/v1/{org_id}/locations" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X GET "https://api.example.com/api/v1/{org_id}/locations" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"/api/v1/{org_id}/locations/{location_uuid}Get Location
Retrieve a single location by UUID. Staff callers receive the full ``LocationOut`` shape.
Parameters
Path Parameters
location_uuidstringrequiredorg_idstringrequiredResponses
address_line1stringaddress_line2stringbank_numberstringbilling_address_line1stringbilling_address_line2stringbilling_citystringbilling_entity_namestringbilling_entity_typestringbilling_npistringbilling_phonestringbilling_specialtystringbilling_statestringbilling_tax_idstringbilling_zipstringcitystringcreated_atstring (date-time)requireddefault_imaging_softwarestringdefault_place_of_servicestringdeleted_atstring (date-time)display_referral_in_schedulerbooleanemailstringentityobjectLightweight Entity reference.
external_idstringfaxstringgenerate_sales_tax_codebooleanidstring (uuid)requiredins_billing_provobjectLightweight reference to a related entity — exposes UUID and optional name.
is_medical_onlybooleanitem_orderintegerlocation_typestringrequiredlogo_urlstringmed_lab_account_numstringnamestringrequirednpistringoperatoriesobject[]pay_to_address_line1stringpay_to_address_line2stringpay_to_citystringpay_to_statestringpay_to_zipstringphonestringsales_tax_ratestringsettingsobjectshort_namestringrequiredskipped_daysstring[]social_linksobject[]statestringstatusstringrequiredtax_idstringtime_zonestringupdated_atstring (date-time)requireduse_billing_addr_on_claimsbooleanversionintegerrequiredwebsitestringzipstringdetailobject[]curl -X GET "https://api.example.com/api/v1/{org_id}/locations/{location_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X GET "https://api.example.com/api/v1/{org_id}/locations/{location_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"/api/v1/{org_id}/locationsCreate Location
Parameters
Path Parameters
org_idstringrequiredRequest Body
address_line1stringaddress_line2stringbank_numberstringbilling_address_line1stringbilling_address_line2stringbilling_citystringbilling_entity_namestringbilling_entity_typestringbilling_npistringbilling_phonestringbilling_specialtystringbilling_statestringbilling_tax_idstringbilling_zipstringcitystringdefault_imaging_softwarestringdefault_place_of_servicestringdisplay_referral_in_schedulerbooleanemailstringentity_uuidstring (uuid)requiredexternal_idstringfaxstringgenerate_sales_tax_codebooleanins_billing_prov_uuidstring (uuid)is_medical_onlybooleanitem_orderintegerlocation_typestringlogo_urlstringmed_lab_account_numstringnamestringrequirednpistringpay_to_address_line1stringpay_to_address_line2stringpay_to_citystringpay_to_statestringpay_to_zipstringphonestringsales_tax_ratenumbersettingsobjectshort_namestringrequiredskipped_daysstring[]social_linksobject[]statestringstatusstringtax_idstringtime_zonestringuse_billing_addr_on_claimsbooleanwebsitestringzipstringResponses
address_line1stringaddress_line2stringbank_numberstringbilling_address_line1stringbilling_address_line2stringbilling_citystringbilling_entity_namestringbilling_entity_typestringbilling_npistringbilling_phonestringbilling_specialtystringbilling_statestringbilling_tax_idstringbilling_zipstringcitystringcreated_atstring (date-time)requireddefault_imaging_softwarestringdefault_place_of_servicestringdeleted_atstring (date-time)display_referral_in_schedulerbooleanemailstringentityobjectLightweight Entity reference.
external_idstringfaxstringgenerate_sales_tax_codebooleanidstring (uuid)requiredins_billing_provobjectLightweight reference to a related entity — exposes UUID and optional name.
is_medical_onlybooleanitem_orderintegerlocation_typestringrequiredlogo_urlstringmed_lab_account_numstringnamestringrequirednpistringoperatoriesobject[]pay_to_address_line1stringpay_to_address_line2stringpay_to_citystringpay_to_statestringpay_to_zipstringphonestringsales_tax_ratestringsettingsobjectshort_namestringrequiredskipped_daysstring[]social_linksobject[]statestringstatusstringrequiredtax_idstringtime_zonestringupdated_atstring (date-time)requireduse_billing_addr_on_claimsbooleanversionintegerrequiredwebsitestringzipstringdetailobject[]curl -X POST "https://api.example.com/api/v1/{org_id}/locations" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"address_line1": "string",
"address_line2": "string",
"bank_number": "string",
"billing_address_line1": "string",
"billing_address_line2": "string",
"entity_uuid": "00000000-0000-0000-0000-000000000000",
"name": "string",
"short_name": "string"
}'curl -X POST "https://api.example.com/api/v1/{org_id}/locations" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"address_line1": "string",
"address_line2": "string",
"bank_number": "string",
"billing_address_line1": "string",
"billing_address_line2": "string",
"entity_uuid": "00000000-0000-0000-0000-000000000000",
"name": "string",
"short_name": "string"
}'/api/v1/{org_id}/locations/{location_uuid}/archiveArchive Location
Parameters
Path Parameters
location_uuidstringrequiredorg_idstringrequiredResponses
address_line1stringaddress_line2stringbank_numberstringbilling_address_line1stringbilling_address_line2stringbilling_citystringbilling_entity_namestringbilling_entity_typestringbilling_npistringbilling_phonestringbilling_specialtystringbilling_statestringbilling_tax_idstringbilling_zipstringcitystringcreated_atstring (date-time)requireddefault_imaging_softwarestringdefault_place_of_servicestringdeleted_atstring (date-time)display_referral_in_schedulerbooleanemailstringentityobjectLightweight Entity reference.
external_idstringfaxstringgenerate_sales_tax_codebooleanidstring (uuid)requiredins_billing_provobjectLightweight reference to a related entity — exposes UUID and optional name.
is_medical_onlybooleanitem_orderintegerlocation_typestringrequiredlogo_urlstringmed_lab_account_numstringnamestringrequirednpistringoperatoriesobject[]pay_to_address_line1stringpay_to_address_line2stringpay_to_citystringpay_to_statestringpay_to_zipstringphonestringsales_tax_ratestringsettingsobjectshort_namestringrequiredskipped_daysstring[]social_linksobject[]statestringstatusstringrequiredtax_idstringtime_zonestringupdated_atstring (date-time)requireduse_billing_addr_on_claimsbooleanversionintegerrequiredwebsitestringzipstringdetailobject[]curl -X POST "https://api.example.com/api/v1/{org_id}/locations/{location_uuid}/archive" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X POST "https://api.example.com/api/v1/{org_id}/locations/{location_uuid}/archive" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"/api/v1/{org_id}/locations/{location_uuid}Update Location
Parameters
Path Parameters
location_uuidstringrequiredorg_idstringrequiredRequest Body
address_line1stringaddress_line2stringbank_numberstringbase_versionintegerrequiredbilling_address_line1stringbilling_address_line2stringbilling_citystringbilling_entity_namestringbilling_entity_typestringbilling_npistringbilling_phonestringbilling_specialtystringbilling_statestringbilling_tax_idstringbilling_zipstringcitystringdefault_imaging_softwarestringdefault_place_of_servicestringdisplay_referral_in_schedulerbooleanemailstringentity_uuidstring (uuid)external_idstringfaxstringgenerate_sales_tax_codebooleanins_billing_prov_uuidstring (uuid)is_medical_onlybooleanitem_orderintegerlocation_typestringlogo_urlstringmed_lab_account_numstringnamestringnpistringpay_to_address_line1stringpay_to_address_line2stringpay_to_citystringpay_to_statestringpay_to_zipstringphonestringsales_tax_ratenumbersettingsobjectshort_namestringskipped_daysstring[]social_linksobject[]statestringstatusstringtax_idstringtime_zonestringuse_billing_addr_on_claimsbooleanwebsitestringzipstringResponses
address_line1stringaddress_line2stringbank_numberstringbilling_address_line1stringbilling_address_line2stringbilling_citystringbilling_entity_namestringbilling_entity_typestringbilling_npistringbilling_phonestringbilling_specialtystringbilling_statestringbilling_tax_idstringbilling_zipstringcitystringcreated_atstring (date-time)requireddefault_imaging_softwarestringdefault_place_of_servicestringdeleted_atstring (date-time)display_referral_in_schedulerbooleanemailstringentityobjectLightweight Entity reference.
external_idstringfaxstringgenerate_sales_tax_codebooleanidstring (uuid)requiredins_billing_provobjectLightweight reference to a related entity — exposes UUID and optional name.
is_medical_onlybooleanitem_orderintegerlocation_typestringrequiredlogo_urlstringmed_lab_account_numstringnamestringrequirednpistringoperatoriesobject[]pay_to_address_line1stringpay_to_address_line2stringpay_to_citystringpay_to_statestringpay_to_zipstringphonestringsales_tax_ratestringsettingsobjectshort_namestringrequiredskipped_daysstring[]social_linksobject[]statestringstatusstringrequiredtax_idstringtime_zonestringupdated_atstring (date-time)requireduse_billing_addr_on_claimsbooleanversionintegerrequiredwebsitestringzipstringdetailobject[]curl -X PATCH "https://api.example.com/api/v1/{org_id}/locations/{location_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"address_line1": "string",
"address_line2": "string",
"bank_number": "string",
"base_version": 1,
"billing_address_line1": "string"
}'curl -X PATCH "https://api.example.com/api/v1/{org_id}/locations/{location_uuid}" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"address_line1": "string",
"address_line2": "string",
"bank_number": "string",
"base_version": 1,
"billing_address_line1": "string"
}'Users
5 endpoints
/api/v1/{org_id}/meGet Current User Profile
Get current user profile and memberships.
Parameters
Path Parameters
org_idstringrequiredResponses
avatar_urlstringcreated_atstring (date-time)requiredTimestamp when user was created.
display_namestringrequiredDisplay name.
emailstringrequiredUser email address.
email_verifiedbooleanWhether email is verified.
idstring (uuid)requiredUser UUID.
is_platform_adminbooleanWhether the user has platform admin access.
last_login_atstring (date-time)orgsobject[]requiredList of org memberships visible to the current actor.
phonestringdetailobject[]curl -X GET "https://api.example.com/api/v1/{org_id}/me" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X GET "https://api.example.com/api/v1/{org_id}/me" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"/api/v1/{org_id}/me/orgsList Current User Orgs
Get lightweight org membership list.
Parameters
Path Parameters
org_idstringrequiredResponses
is_platform_adminbooleanWhether the current user has a platform admin role.
orgsobject[]requiredOrganization memberships for the current user.
detailobject[]curl -X GET "https://api.example.com/api/v1/{org_id}/me/orgs" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X GET "https://api.example.com/api/v1/{org_id}/me/orgs" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"/api/v1/{org_id}/me/preferencesGet Current User Preferences
Get current user's preferences for current org.
Parameters
Path Parameters
org_idstringrequiredResponses
compact_sidebarbooleanWhether compact sidebar mode is enabled.
default_location_uuidstring (uuid)default_viewstringDefault landing view.
localestringPreferred locale code.
notifications_enabledbooleanWhether UI notifications are enabled.
themestringUI theme preference.
timezonestringdetailobject[]curl -X GET "https://api.example.com/api/v1/{org_id}/me/preferences" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"curl -X GET "https://api.example.com/api/v1/{org_id}/me/preferences" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"/api/v1/{org_id}/meUpdate Current User Profile
Update own profile fields.
Parameters
Path Parameters
org_idstringrequiredRequest Body
avatar_urlstringdisplay_namestringphonestringResponses
avatar_urlstringcreated_atstring (date-time)requiredTimestamp when user was created.
display_namestringrequiredDisplay name.
emailstringrequiredUser email address.
email_verifiedbooleanWhether email is verified.
idstring (uuid)requiredUser UUID.
is_platform_adminbooleanWhether the user has platform admin access.
last_login_atstring (date-time)orgsobject[]requiredList of org memberships visible to the current actor.
phonestringdetailobject[]curl -X PATCH "https://api.example.com/api/v1/{org_id}/me" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"avatar_url": "string",
"display_name": "string",
"phone": "string"
}'curl -X PATCH "https://api.example.com/api/v1/{org_id}/me" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"avatar_url": "string",
"display_name": "string",
"phone": "string"
}'/api/v1/{org_id}/me/preferencesUpdate Current User Preferences
Partially update preferences for current org.
Parameters
Path Parameters
org_idstringrequiredRequest Body
compact_sidebarbooleandefault_location_uuidstring (uuid)default_viewstringlocalestringnotifications_enabledbooleanthemestringtimezonestringResponses
compact_sidebarbooleanWhether compact sidebar mode is enabled.
default_location_uuidstring (uuid)default_viewstringDefault landing view.
localestringPreferred locale code.
notifications_enabledbooleanWhether UI notifications are enabled.
themestringUI theme preference.
timezonestringdetailobject[]curl -X PATCH "https://api.example.com/api/v1/{org_id}/me/preferences" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"compact_sidebar": null,
"default_location_uuid": "string",
"default_view": "string",
"locale": "string",
"notifications_enabled": null
}'curl -X PATCH "https://api.example.com/api/v1/{org_id}/me/preferences" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"compact_sidebar": null,
"default_location_uuid": "string",
"default_view": "string",
"locale": "string",
"notifications_enabled": null
}'